@charset "UTF-8";

nav {
	height:45px;
	padding-top:8px;
	padding-left:1%;
	padding-right:1%;
	float:left;
}
a#user {
	display:block;
	background-image:url('../img/user_config.png');
	background-size:contain;
	float:right;
	width:38px;
	height:38px;
	margin-top:7px;
	margin-right:20px;
}
nav .button {
	width:120px;
	height:24px;
	background-color:rgba(255, 255, 255, 0.1);
	border-radius: 10px 10px 0px 0px;
	border:none;
	padding-top:7px;
	padding-left:0px;
	padding-right:0px;
	padding-bottom:0px;
}

nav .selected {
	background-color:#1B81B2;
	color:white;
}

nav .button:hover, .selected:hover {
	color:white;
	cursor: pointer;
	background-color:#1B81B2;
	
}
:root {
  --cor-button: #1B81B2;
}
div.menu {
	min-width:100px;
	max-width:300px;
	background-color:white;
	font-size:0.9em;
	border-radius: 10px 10px 10px 10px;
	border:solid 1px #012440;
	position:absolute;
	display:none;
	padding:10px;
}

.menu ul {
	width:100%;
	list-style-type: none;
	padding:0px;
	margin:0px;
	float:left;
}

.menu li {
	width:100%;
	float:left;
}

.menu li div.logo {
	width:39px;
	float:left;
}
.menu li div.link {
	width:calc(100% - 39px);
	float:left;
}

.menu li img {
	max-width:39px;
	max-height:12px;
	margin-right:2%;
	float:left;
	padding-top:5px;
}

.menu a {
	width:90%;
	color:gray;
	min-height:20px;
	padding-left:5%;
	padding-right:5%;
	padding-top:5px;
	border-radius: 10px 10px 10px 10px;
	display:block;
	text-decoration:none;
	float:left;
	position:relative;
}

.menu a:hover {
	background-color:#1B81B2;
	color:white;
}
/*
.menu label {
	width:90%;
	color:gray;
	min-height:20px;
	padding-left:5%;
	padding-right:5%;
	padding-top:5px;
	border-radius: 10px 10px 10px 10px;
	display:block;
	text-decoration:none;
	float:left;
	position:relative;
}

.menu label:hover {
	background-color:#1B81B2;
	color:white;
}*/

.menu p {
	width:90%;
	padding-left:5%;
	padding-right:5%;
	padding-top:5px;
	margin-bottom:5px;
	display:block;
	float:left;
	position:relative;
}

.menu .container {
	display: block;
	position: relative;
	padding-left: 25px;
	margin-bottom: 12px;
	cursor: pointer;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

/* Hide the browser's default checkbox */
.menu .container input {
	position: absolute;
	opacity: 0;
	cursor: pointer;
	height: 0;
	width: 0;
}

/* Create a custom checkbox */
.menu .checkmark {
	position: absolute;
	top: 0;
	left: 0;
	border-radius: 5px 5px 5px 5px;
	height: 15px;
	width: 15px;
	background-color: #eee;
}

/* On mouse-over, add a grey background color */
.menu .container:hover input ~ .checkmark {
	background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.menu .container input:checked ~ .checkmark {
	background-color: #2196F3;
}

/* Create the checkmark/indicator (hidden when not checked) */
.menu .checkmark:after {
	content: "";
	position: absolute;
	display: none;
}

/* Show the checkmark when checked */
.menu .container input:checked ~ .checkmark:after {
	display: block;
}

/* Style the checkmark/indicator */
.menu .container .checkmark:after {
	left: 5px;
	top: 1px;
	width: 3px;
	height: 8px;
	border: solid white;
	border-width: 0 3px 3px 0;
	-webkit-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	transform: rotate(45deg);
}

div#filter_bar {
	width:60%;
	box-sizing:border-box;
	float:right;
	padding-top:4px;
}
div#div_filtro_search {
	width:100%;
	box-sizing:border-box;
	display: flex;
	gap: 5px;
	padding-left:none;
	padding-right:none;
	padding-bottom:8px; 
	margin-bottom:4px; 
	border-bottom:solid 1px #CCCCCC;
	float:left;
}
div#arrow_left {
	width:16px;
	height:16px;
	flex:1;
	border:1px solid #CCCCCC;
	border-radius: 10px 10px 10px 10px;
	float:left;
	text-align:center;
	margin-top:5px;
	cursor:pointer;
}
div#arrow_left:hover {
	background-color: var(--cor-button);
	border-color:var(--cor-button);
	color:white;
}
div#search_bar {
	flex:11;
	float:left;
}
div#listaItens {
	width:100%; 
	height:100px;
	box-sizing:border-box;
	float:left;
	overflow-y:scroll;
	scrollbar-width:thin;
	scrollbar-color:#aaa transparent;
}
div#listaItens::-webkit-scrollbar-button {
	display: none;
}
.item_objeto_filtro {
	width:100%;
	box-sizing: border-box;
	padding:4%;
	padding-left:6%;
	padding-right:2%;
	display: flex;
	float:left;
	border-radius: 14px 14px 14px 14px;
	font-size:0.8em;
}
.item_objeto_filtro:hover {
	background-color:var(--cor-button);
	color:white;
	cursor:pointer;
}

.filter_search {
	width:100%;
	box-sizing:border-box;
	height:17px;
	float:left;
	color:gray;
	font-size:0.9em;
	background-image: url('data:image/svg+xml;utf8,<svg fill="gray" height="14" viewBox="0 0 24 24" width="20" xmlns="http://www.w3.org/2000/svg"><path d="M15.5 14h-.79l-.28-.27a6.471 6.471 0 001.48-5.34C15.22 5.01 12.21 2 8.5 2S1.78 5.01 1.78 8.5 4.79 15 8.5 15c1.61 0 3.09-.59 4.23-1.57l.27.28v.79l4.25 4.25c.41.41 1.08.41 1.49 0s.41-1.08 0-1.49L15.5 14zM8.5 13C6.01 13 4 10.99 4 8.5S6.01 4 8.5 4 13 6.01 13 8.5 10.99 13 8.5 13z"/></svg>');
}

.filter_button {
	float:right;
}
.filter_button:hover {
	background-color: #CCCCCC;
}


div#backsplash {
	background-color: #0c2340E6;
	position: fixed;
	inset: 0;
	opacity: 0;
	transition: opacity 0.3s ease;
	pointer-events: none;
	display: flex;
	justify-content: center;
	align-items: center;
	z-index: 2000;
}
div#backsplash.active {
	opacity: 1;
	pointer-events: auto;
}

div#msgcontainer {
	width:30%;
	position:relative;
	display:none;
	margin:auto;
}

div#infomsg {
	width:100%;
	color:gray;
	background-color:white;
	position:relative;
	float:left;
	display:none;
	padding-top:10px;
	padding-left:20px;
	padding-right:20px;
	padding-bottom:10px;
	border: solid 1px #012440;
	border-radius:10px 10px 10px 10px;
	z-index:2000;
}

div#infomsg h1, p, li {
	width:100%;
	float:left;
	font-size:0.9em;
	margin-top:0px;
	padding-left:0px;
}

div#infomsg h1 {
	padding-bottom:5px;
	border-bottom: solid 1px #CCC;
}

div#infomsg .button, .menu .button {
	float:right;
	margin-top:0px;
	background-color:#e32626;
	color:white;
	border:none;
	padding-top:5px;
	padding-bottom:5px;
	border-radius:15px 15px 15px 15px;
}
div#infomsg .button:hover {
	background-color:#1B81B2;
}

.msg_erro {
	width:100%;
	color:red;
	font-size:0.9em;
	text-align:center;
}

div#popupcontainer {
	
	/*height: 90%;
	width:50%;
	background-color:white;
	border-radius: 10px;
	border: solid 1px red;*/
	max-height: 100%;
	opacity: 0;
	transform: scale(0.95);
	transition: opacity 0.3s ease, transform 0.3s ease;
	/*position:relative;
	display:none;
	margin:auto;*/
	z-index:2000;
	pointer-events: none;
	overflow: auto;
}
div#popupcontainer.active {
	opacity: 1;
	transform: scale(1);
	pointer-events: auto;
}
div#popupcontainer .button {
	display:block;
	float:right;
	margin-top:10px;
	background-color:#e32626;
	color:white;
	border:none;
	padding-top:5px;
	padding-bottom:5px;
	border-radius:15px 15px 15px 15px;
	cursor: pointer;
}
div#popupcontainer h1 {
	width: 70%;
	float:left;
}

div#ambiente {
	font-size:6em;
	font-weight:bold;
	color:#e32626;
	position:absolute;
	right:200px;
	top:0px;
	z-index:2000;
}